![alt text](https://github.com/NHA-ABDM/UHI/blob/main/assets/logos.jpg?raw=true)

# UHI
Created by National Health Authority to facilitate collaborative development of various components of the Universal Health Interface. National Health Authority (NHA) is the apex body responsible for implementing India’s flagship public health insurance/assurance scheme called “Ayushman Bharat Pradhan Mantri Jan Arogya Yojana” & has been entrusted with the role of designing strategy, building technological infrastructure and implementation of “National Digital Health Mission” to create a National Digital Health Eco-system.(https://www.nha.gov.in)

UHI is envisioned as an open protocol for various digital health services. UHI Network will be an open network of End User Applications (EUAs) and participating Health Service Provider (HSP) applications. UHI will enable a wide variety of digital health services between patients and health service providers (HSPs) including appointment booking, teleconsultation, service discovery and others.

## Current Versions

* UHI Protocol specification is -  0.0.1
* UHI Gateway Current - Pre-release (Upcoming -  1.0.0)
* UHI Network Registry (Upcoming) -  1.0.0

## Structure

[Schema](schema) - this folder stores the schemas used in UHI Protocol
[Specification](specification) - this folder stores the API specifications for UHI Protocol
[Src](src) - this folder stores opensource code for various UHI components like Gateway, Network Registry etc.

## See It in Action

The specification folder contains the list of APIs and some basic examples to work with.

## Participation

UHI is based on principle of equal opportunity to all and hence encourages participation from individuals and companies alike. If you want to participate in the evolution of the UHI specification, consider taking the following actions:

* Review the current specification.
* Review the current examples
* Contribute with your feedback, issues etc.

Not all feedback can be accommodated and there may be solid arguments for or against a change being appropriate for the specification.

## Licensing

See: https://creativecommons.org/publicdomain/zero/1.0/



